# captureVideo

## Description

Activates the video recording of the mobile device to capture video.

## Input / Parameter

N/A

## Output

N/A

## Callback

### callback

The function to be executed when the video recording is generated successfully.

### errorCallback

The function to be executed when the video recording is not generated successfully.

## Video

Coming Soon.

## Example

The user wants to create a video recording using their mobile device.

### Steps

| No. | Description                      |                                                                                                                                                                            |
| --- | -------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.  | ![](/files/XrLlhC29y68YFnKufy2s) | Drag a button component to a page in the mobile designer. Select the event `click` and drag the function `captureVideo` to the event flow.                                 |
| 2.  | ![](/files/bwVY3JSmmjwMSLmFWf86) | Drag the function to be executed if the video recording is successfully generated to the node below the function. In this example, we are using the `infoDialog` function. |
| 3.  | ![](/files/sT1HiJsaWGLpljKxhcBO) | Fill in the parameters of the function.                                                                                                                                    |

### Result

The video file recorded will be shown in the dialog modal.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/capturevideo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
